Bug 442088 - installer does not eject CD/DVD
installer does not eject CD/DVD
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 13:12 EDT by Ulrich Drepper
Modified: 2009-02-16 15:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-16 15:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2008-04-11 13:12:10 EDT
Description of problem:
At the end of the installation (I used the beta DVD ISO) the CD/DVD is not
ejected (i.e., the drive opened).  This is usually not /that/ much of an issue
but it is one when you install on crappy Apple hardware.  There is no button to
open the DVD driver, the special keyboard key doesn't work.  I.e., it's time to
find a paper clip and pry it open.

Failing to do this means that most likely the DVD is booted again and one
doesn't get the chance to run the eject command from the command line.

Version-Release number of selected component (if applicable):
whatever is on the beta DVD ISO

How reproducible:
didn't try but I see no reason it shouldn't

Steps to Reproduce:
1.install on Apple machine (G5 in my case)
Actual results:
DVD drive doesn't open at the end

Expected results:
it should open and possibly wait until told the CD is removed

Additional info:
Comment 1 Chris Lumens 2008-04-15 05:35:09 EDT
Can you catch any error messages on tty3 along the lines of "error ejecting
cdrom..." right before the machine reboots?
Comment 2 Ulrich Drepper 2008-04-15 10:17:40 EDT
I cannot remember having seen any message.  Once there is a new ISO which has a
chance of fixing the graphical installation issue (other bug) I'm willing to try
it again.
Comment 3 Bug Zapper 2008-05-14 05:19:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Andy Lindeberg 2008-06-02 16:47:11 EDT
Is this still an issue in the final release of F9?
Comment 5 Chris Lumens 2008-08-04 11:42:16 EDT
Ah I think I see what's going on here.  This should be fixed in the next build of anaconda (post-F10 Alpha, unfortunately) though I'll leave it in MODIFIED instead of closing it so we can verify.

Note You need to log in before you can comment on or make changes to this bug.